Bug 18751 - Dataset.GetXml throws an InvalidOperationException when column is type of object
Summary: Dataset.GetXml throws an InvalidOperationException when column is type of object
Status: RESOLVED FIXED
Alias: None
Product: Class Libraries
Classification: Mono
Component: System.Data (show other bugs)
Version: 3.2.x
Hardware: Macintosh Mac OS
: --- normal
Target Milestone: Untriaged
Assignee: Bugzilla
URL:
Depends on:
Blocks:
 
Reported: 2014-04-02 11:36 UTC by Alexandre Pepin
Modified: 2018-02-22 22:36 UTC (History)
5 users (show)

Tags:
Is this bug a regression?: ---
Last known good build:

Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report on GitHub or Developer Community with your current version information, steps to reproduce, and relevant error messages or log files if you are hitting an issue that looks similar to this resolved bug and you do not yet see a matching new report.

Related Links:
Status:
RESOLVED FIXED

Description Alexandre Pepin 2014-04-02 11:36:06 UTC
Dataset.GetXml throws an InvalidOperationException when column is type of object. It works in windows, but doesn't work in mono

Sample :

DataSet s = new DataSet();
DataTable t = s.Tables.Add();
t.Columns.Add("col2", typeof(object));
t.Rows.Add("ligne1");
Console.WriteLine(s.GetXml());
Comment 1 Alexander Köplinger 2015-04-05 19:35:39 UTC
This no longer repros on Mono master where System.Data was replaced with MS referencesource code.
Comment 2 Marek Safar 2018-02-22 22:36:04 UTC
Mono 5.10 has significantly improved System.Data implementation which should resolve this issue. If you can still reproduce it please reopen the issue.